<cfcomponent>

   
   <cffunction name="getContactQuery" access="public" output="false" returntype="query">
      <cfset var ContactQuery = "" />
      
      <cfquery name="ContactQuery" datasource="#getAppConfig().getConfig().dsn#">
         SELECT C.ContactID, c.ContactName, c.ContactTypeID, ct.ContactType
         FROM Contact c LEFT JOIN ContactType ct ON c.ContactTypeID = ct.ContactTypeID
      </cfquery>

      <cfreturn ContactQuery />
      
   </cffunction>
   
   <cffunction name="getAppConfig" access="public" output="false" returntype="any">
      <cfreturn variables.instance.AppConfig />
   </cffunction>
   
   <cffunction name="setAppConfig" access="public" output="false" returntype="void">
      <cfargument name="AppConfig" type="any" required="true" />
      <cfset variables.instance.AppConfig = arguments.AppConfig />
   </cffunction>

</cfcomponent>